Eclipse Platform Release 3.7

## org.eclipse.update.core
Class SiteContentProvider

    java.lang.Object
      org.eclipse.update.core.SiteContentProvider

All Implemented Interfaces:
  ISiteContentProvider

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public abstract class SiteContentProvider

extends Object
implements ISiteContentProvider

Base site content provider

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`SiteContentProvider(URL url)` Deprecated. Constructor for SiteContentProvider

Method Summary
`URL` `getArchiveReference(String archiveId)` Deprecated. Returns a URL for the identified archive
`ISite` `getSite()` Deprecated. Returns the site for this provider
`URL` `getURL()` Deprecated. Returns the URL of this site
`void` `setSite(ISite site)` Deprecated. Sets the site for this provider

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteContentProvider

    public SiteContentProvider(URL url)

  Deprecated.
  Constructor for SiteContentProvider

Method Detail

### getURL

    public URL getURL()

  Deprecated.
  Returns the URL of this site

  Specified by:
    `getURL` in interface `ISiteContentProvider`
  Returns:
    site URL
  Since:
    2.0
  See Also:
    `ISiteContentProvider.getURL()`

### getSite

    public ISite getSite()

  Deprecated.
  Returns the site for this provider

  Specified by:
    `getSite` in interface `ISiteContentProvider`
  Returns:
    provider site
  Since:
    2.0
  See Also:
    `ISiteContentProvider.getSite()`

### setSite

    public void setSite(ISite site)

  Deprecated.
  Sets the site for this provider

  Specified by:
    `setSite` in interface `ISiteContentProvider`
  Parameters:
    `site` - site for this provider
  Since:
    2.0

### getArchiveReference

    public URL getArchiveReference(String archiveId)
                            throws CoreException

  Deprecated.
  Description copied from interface: `ISiteContentProvider`
  Returns a URL for the identified archive

  Specified by:
    `getArchiveReference` in interface `ISiteContentProvider`
  Parameters:
    `archiveId` - archive identifier
  Returns:
    archive URL, or `null`.
  Throws:
    `CoreException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.